5.8. Tools options
Prev | 5. The "Preferences" dialog box | Next

### 5.8. Tools options

#### 5.8.1. Validate options

Filter duplicate ID errors found in modular documents

  Pasting in a document two references to the same element will cause the Validity tool to display duplicate ID errors. This is a problem because the author didn't do any mistake by pasting these two references and because too many of these ``false'' duplicate ID errors may hide real duplicate ID errors. That's why turning on this option will discard such ``false'' duplicate ID errors from the Validity tool.

  Default: checked.

Automatically show Validity tool

  Document validity is automatically checked each time the document is saved to disk. If this toggle is checked, when validity errors are found, the Validity tool ``tab'' is automatically selected in order to display the error messages.

  Default: not checked.

#### 5.8.2. Spell options

Activation of the automatic (AKA on-the-fly) spell checker:

Never activate the automatic spell checker

  When a document is opened, never activate the automatic spell checker, even if this is specified in the configuration file associated to the opened document.

  Default: not checked.

Always activate the automatic spell checker

  When a document is opened, always activate the automatic spell checker, even if this is not specified in the configuration file associated to the opened document.

  Default: not checked.

Activate if this is specified in the configuration file

  When a document is opened, activate the automatic spell checker if this is specified in the configuration file associated to the opened document (using the `spellCheckOptions` configuration element, see Section 26, “spellCheckOptions” in XMLmind XML Editor - Configuration and Deployment).

  Default: checked.

#### 5.8.3. Changes options

You may need to enable this group of options by checking "Enable the 'Tools|Changes' Submenu" in Options → Preferences, General|Features section.

Automatically activate change detection

  Turning on this option allows to automatically activate the change detection when you save a newly created document to disk and when you open a document for which change detection has not yet been activated and then save this document to disk.

  Default: not checked.

#### 5.8.4. Helper applications options

File types

  List of file types. Each file type has an associated helper application. This helper application is assumed to be able to open files detected as having this type. A helper application may be a viewer or an editor.

  Default: the "`text/plain`" file type:

  - On Windows: `text/plain:txt:::notepad "%F"`

  - On the Mac:

    - for a version older than Mac OS X 10.5 (e.g. Tiger): `open -t "%F"`,

    - starting from Mac OS X 10.5 (Leopard): `open -W -n -t "%F"`.

    See also Helper applications on the Mac.

  - On Unix: `text/plain:txt:::xterm -e vi "%F"`

  Buttons acting on this list:

  Add

    Displays the "Helper Application Editor" dialog box in order to add a new file type to the list.

  Edit

    Displays the "Helper Application Editor" dialog box in order to view or modify selected file type.

  Remove

    Removes selected file type from the list.

Default viewer

  Specifies which default viewer to use in case the type of the file to be opened has not been detected. In practice, commands making use of the default viewer typically assumes that it is in fact a Web browser. This implies that these commands assume that a default viewer can open URLs as well as filenames and that it can open text, HTML, GIF, PNG and JPEG files.

  This field must contain a command line interpreted by the native shell of the platform: `cmd.exe` on Windows and `/bin/sh` on the Mac and on Unix.

  This command line must reference one of these two substituted variables: `%U` and `%F`. In principle, `%U` is replaced by the URL of the file to be opened by the helper application and `%F` is replaced by a filename. In practice, `%U` is just a hint meaning: the helper application can open URLs as well as filenames.

  Default: depends on the platform:

  - On Windows: `start "" "%U"`

  - On the Mac: `open "%U"`

  - On Unix: dynamically detected. By default: `firefox "%U"`

  Buttons acting on this field:

  Reset

    Resets the field to its default value (see above).

  Choose

    Displays the standard file chooser in order to specify an application (e.g. a `.exe` or a `.bat` file on Windows). String "`"%F"`" is automatically appended to the chosen application.

    See also Helper applications on the Mac.

#### 5.8.5. Spreadsheet options

You may need to enable this group of options by checking "Enable the Integrated Spreadsheet Engine" in Options → Preferences, General|Features section.

Open spreadsheets in auto-update mode

  Specifies that spreadsheets are to be opened in auto-update mode.

  In manual update mode, only newly inserted formulas are computed. To force a full calculation, the user has to explicitly use Tools → Spreadsheet → Update.

  In auto-update mode, a full calculation is automatically performed, if needed to, when the editing context changes. For example: type some text in a paragraph, then click in (or tab to) another paragraph to trigger a spreadsheet calculation.

  Note that in both modes, a full calculation is automatically performed, if needed to, before validating or saving the document.

  Using manual update mode is recommended if you have a slow computer or if you have inserted a lot of formulas in your document or if your formulas access many external documents.

  Default: checked.

Maximum number of iterations allowed for calculations in spreadsheet

  Specifies the maximum number of iterations allowed for calculations in spreadsheet. This limit is used to prevent the spreadsheet engine from looping in case of cycles in formulas.

  Default: 20.

Prev | Up | Next
5.7. View options | Home | 5.9. Window options